- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- NativeRenderBuffer
- Qt 6.8.3 Reference Documentation

# NativeRenderBuffer Struct

struct QRhiRenderBuffer::NativeRenderBuffer

Wraps a native renderbuffer object. More...

- List of all members, including inherited members

## Public Variables

quint64 | object

## Detailed Description

## Member Variable Documentation

### quint64 NativeRenderBuffer::object

64-bit integer containing the native object handle.

Used with QRhiRenderBuffer::createFrom().

With OpenGL the native handle is a GLuint value. `object` is expected to be a valid OpenGL renderbuffer object ID.